Package org.apache.felix.http.base.internal.runtime

# Class PreprocessorInfo

java.lang.Object
org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<org.osgi.service.servlet.whiteboard.Preprocessor>
org.apache.felix.http.base.internal.runtime.PreprocessorInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<org.osgi.service.servlet.whiteboard.Preprocessor>>`

public class PreprocessorInfo extends WhiteboardServiceInfo<org.osgi.service.servlet.whiteboard.Preprocessor>
Provides registration information for a `Preprocessor`.

This class only provides information used at registration time, and as such differs slightly from the corresponding DTO

## Constructor Summary

Constructors
Constructor
Description
`PreprocessorInfo(org.osgi.framework.ServiceReference<org.osgi.service.servlet.whiteboard.Preprocessor> ref)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getClassName(@NotNull org.osgi.service.servlet.whiteboard.Preprocessor preprocessor)`
Get the class name of the preprocessor
`Map<String,String>`
`getInitParameters()`
Returns an immutable map of the init parameters.
`@NotNull String`
`getType()`
Get the type represented by this info
`boolean`
`isSame(AbstractInfo<org.osgi.service.servlet.whiteboard.Preprocessor> other)`
Compare two info objects

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter, isValid`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getService, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty, ungetService`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreprocessorInfo

public PreprocessorInfo(org.osgi.framework.ServiceReference<org.osgi.service.servlet.whiteboard.Preprocessor> ref)

## Method Details

### getInitParameters

public Map<String,String> getInitParameters()
Returns an immutable map of the init parameters.

Returns:
  The init parameters

### getType

@NotNull public @NotNull String getType()
Description copied from class: `AbstractInfo`
Get the type represented by this info

Specified by:
  `getType` in class `AbstractInfo<org.osgi.service.servlet.whiteboard.Preprocessor>`
Returns:
  The type

### getClassName

@NotNull public @NotNull String getClassName(@NotNull @NotNull org.osgi.service.servlet.whiteboard.Preprocessor preprocessor)
Get the class name of the preprocessor

Parameters:
  `preprocessor` - The preprocesor
Returns:
  The class name

### isSame

public boolean isSame(AbstractInfo<org.osgi.service.servlet.whiteboard.Preprocessor> other)
Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<org.osgi.service.servlet.whiteboard.Preprocessor>`
Parameters:
  `other` - The other info object
Returns:
  `true` if the objects are the same